Bulk Update User Word Memories
curl --request PATCH \
--url https://api.tiro.ooo/v1/external/users/me/word-memories/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"id": 1,
"entry": "인공 지능",
"subEntry": "A.I."
}
]
}
'import requests
url = "https://api.tiro.ooo/v1/external/users/me/word-memories/bulk"
payload = { "items": [
{
"id": 1,
"entry": "인공 지능",
"subEntry": "A.I."
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({items: [{id: 1, entry: '인공 지능', subEntry: 'A.I.'}]})
};
fetch('https://api.tiro.ooo/v1/external/users/me/word-memories/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"id": 1,
"entry": "인공지능",
"createdAt": "2026-04-01T10:30:00Z",
"subEntry": "AI"
}
],
"totalSize": null
}{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}Bulk Update User Word Memories
Update multiple word memories in one request (up to 1000). Processed atomically — if any id is not found (404) or an update would create a duplicate (409), the entire batch is rolled back.
PATCH
/
v1
/
external
/
users
/
me
/
word-memories
/
bulk
Bulk Update User Word Memories
인증
API key in format {id}.{secret}
본문
application/json
Word memories to update. Processed atomically — if any id is not found (404) or a conflict occurs (409), the entire batch is rolled back.
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
⌘I